Send live reactions
curl --request POST \
--url https://apix.us.amity.co/api/v1/reactions/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"liveStreamId": "<string>",
"reactions": [
{
"referencePublicId": "<string>",
"referenceType": "<string>",
"reactionName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://apix.us.amity.co/api/v1/reactions/live"
payload = {
"liveStreamId": "<string>",
"reactions": [
{
"referencePublicId": "<string>",
"referenceType": "<string>",
"reactionName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
liveStreamId: '<string>',
reactions: [
{
referencePublicId: '<string>',
referenceType: '<string>',
reactionName: '<string>',
occurredAt: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://apix.us.amity.co/api/v1/reactions/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reactions": [
{
"userId": "<string>",
"liveStreamId": "<string>",
"targetId": "<string>",
"referencePublicId": "<string>",
"referenceId": "<string>",
"referenceType": "post",
"reactionName": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"code": 400300,
"message": "Forbidden error."
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 500000,
"message": "Parameters validation error"
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Reaction
Send live reactions
Send reactions to a live streaming.
POST
/
api
/
v1
/
reactions
/
live
Send live reactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of live reactions to submit.
Response
Live reaction submission response.
List of processed live reactions.
Show child attributes
Show child attributes
⌘I